std::ranges::join_view::sentinel(3)

NAME
std::ranges::join_view::sentinel - std::ranges::join_view::sentinel

Synopsis
   template< bool Const > (since C++20)
   class /*sentinel*/ (exposition only*)
   The return type of join_view::end when either of the underlying ranges (V or
   ranges::range_reference_t<V>) is not a common_range, or when the parent join_view is
   not a forward_range.
   If V is not a simple view, Const is true for sentinels returned from the const
   overloads, and false otherwise. If V is a simple view, Const is true.

Member types
   Member type Definition
                    const ranges::join_view<V> if Const is true, otherwise
   Parent (private) ranges::join_view<V>
                    (exposition-only member type*)
   Base (private) const V if Const is true, otherwise V
                    (exposition-only member type*)
   Data members
   Member object Definition
                  A sentinel of type std::sentinel_t<Base> obtained from (possibly
   end_ (private) const-qualified) V.
                  (exposition-only member object*)

Member functions
   constructor constructs a sentinel
                 (public member function)

Non-member functions
   operator== compares a sentinel with an iterator returned from join_view::begin
   (C++20) (function)